@import "variables.less";

.flex(@grow; @shrink; @basis) {
    -webkit-flex: @grow @shrink @basis;
        -ms-flex: @grow @shrink @basis;
            flex: @grow @shrink @basis;
}

.droppable-inprogress {
    margin-left: 118px;
    margin-bottom: 8px;
    margin-right: 112px;
    margin-top: -32px;
    background: #ffffff;
}

.queue-card {

    span {
        color: #333333;
    }

    background-color: #eee;
    border-bottom: 1px solid #ccc;
    border-radius: 3px;
    color: #333333;
    cursor: pointer;
    margin: .2em;
    min-height: 1.4em;
    padding: .2em .4em .2em .8em;
    position: relative;

    > a {
        display: none;
        float: right;
        padding: 2px 6px
    }

    &:hover > a {
        display: inline-block;
    }
}

.queue {
    display: flex;
    flex-direction: column;
    margin-bottom: 1.2em;
    padding: .8em;

    .pagination {
        margin: .6em auto -.4em auto;
    }
}

.success {
    background: @ge-color-green;
}

.error {
    background: @ge-color-orange-yellow;
}

.inferno {
    background: @ge-color-red;
}

.await {
    background: @ge-color-blue;
}

#upload-area {
    background-color: #f5f5f5;
    border: 3px dashed #ccc;
    bottom: 3.8em;
    font-size: 1.4em;
    left: 1.6em;
    padding: 6.6em 1.2em .6em 1.2em;
    position: absolute;
    right: 1.6em;
    text-align: center;
    top: 2.5em;
}

.inprogress {
    background: #848687;

    .queue-cards {
        height: 2.8em;
    }
}

.pending-files {
    background: #224190;
}

.play-pause {
    color:#EEE;
    padding-top: 3px;
}

.queue-header {
    padding: 0 .6em;

    h2, span {
        font-size: 1.2em;
        margin: 0 0 9px;
        font-weight: bold;
        color: #EEE;
    }
}

.queue-cards {
    -webkit-box-flex: 1;
    .flex(1; 1; auto);
    background-color: #FFF;
    height: 21.6em;
    margin: 0;
    min-height: 0;
    overflow-y: auto;
    overflow-x: hidden;
    padding: .2em;
}

.page_navigation {
    margin-left: auto;
    margin-right: auto;
}

#upload-notifications {
    background-color: #fff;
    bottom: 1em;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, .5);
    position: fixed;
    right: 1em;
    width: 26em;
}

.statusbar {
    padding: 10px 10px 5px 20px;
}

.filename {
    display:inline-block;
    vertical-align:top;
    width:250px;
    margin-bottom: 8px;
}

.progressUploadBar {
    height: 22px;
    overflow: hidden;
    display: inline-block;
    margin: 3px 25px 10px 5px;
    vertical-align: top;
    width: 265px;
    -webkit-appearance: none;
    appearance: none;
    color: blue;
}

.progressUploadBar::-webkit-progress-bar {
    background-color: #eee;
    border-radius: 2px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25) inset;
}

.fa-times-circle {
    color: #A8352F;
    font-size: 1.6em;
}

.abort {
    background-color: #A8352F;
    display: inline-block;
    color: #fff;
    font-family: arial;
    font-size: 13px;
    font-weight: normal;
    padding: 1px 8px;
    cursor: pointer;
    vertical-align: top
}
